Skip to content
Coritan Docs

Client API: Mail: Suppressions

The 3 Client API operations for suppressions.

View as Markdown

Part of Mail.

GET /api/v1/client/platform-mail/{tenant_id}/suppressions

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/platform-mail/{tenant_id}/suppressions

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
tenant_id path integer yes

application/json (required)

Field Type Required
address string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/client/platform-mail/{tenant_id}/suppressions/{suppression_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
suppression_id path integer yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.